summaryrefslogtreecommitdiff
path: root/tests/pcre
diff options
context:
space:
mode:
Diffstat (limited to 'tests/pcre')
-rwxr-xr-xtests/pcre20
1 files changed, 20 insertions, 0 deletions
diff --git a/tests/pcre b/tests/pcre
new file mode 100755
index 0000000..8f3d9a4
--- /dev/null
+++ b/tests/pcre
@@ -0,0 +1,20 @@
+#! /bin/sh
+# Simple PCRE tests.
+#
+# Copyright (C) 2001, 2006, 2009-2016 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+require_pcre_
+
+fail=0
+
+echo | grep -P '\s*$' || fail=1
+echo | returns_ 2 grep -zP '\s$' || fail=1
+echo '.ab' | returns_ 1 grep -Pwx ab || fail=1
+echo x | grep -Pz '[^a]' || fail=1
+
+Exit $fail